cordova.define("cordova-plugin-proper-update-version.UpdateVersion", function(require, exports, module) {
function UpdateVersion() {}

/**
 *检查程序版本
 * @param {Object} kvs  服务器端最新版本相关信息
 * @param {Function} successCallback 调用成功后执行的函数
 * @param {Function} errorCallback 调用失败后执行的函数
 */
UpdateVersion.prototype.checkVersion = function(kvs, successCallback, errorCallback) {
	cordova.exec(successCallback, errorCallback, "UpdateVersion", "checkVersion", [kvs]);
};
/** 
 *判断程序是否在更新中，如果是，则返回s.updating=true,否则m.updating==false
*/
UpdateVersion.prototype.isUpdating = function(successCallback, errorCallback) {
	cordova.exec(successCallback, errorCallback, "UpdateVersion", "isUpdating", []);
};
/**
 *根据kvs里的url,打开下载进度对话框，下载并安装程序 
 * @param {Object} kvs
 * @param {Object} successCallback
 * @param {Object} errorCallback
 */
UpdateVersion.prototype.doUpdating = function(kvs, successCallback, errorCallback) {
	cordova.exec(successCallback, errorCallback, "UpdateVersion", "doUpdating", [kvs]);
};
UpdateVersion.install = function() {
	if(!window.plugins) {
		window.plugins = {};
	}
	window.plugins.UpdateVersion = new UpdateVersion();
	return window.plugins.UpdateVersion;
};

cordova.addConstructor(UpdateVersion.install);
});
